Add to Basket Compare Quick view IBM 41Y8516 - IBM Cisco Catalyst 3110X 14-Port Gigabit Ethernet Switch for IBM BladeCenter MSRP: £1,776.04 Now: £1,480.03 Inc. VAT Was: MSRP: £1,480.03 Now: £1,233.36 Ex. VAT Was: 41Y8516 - IBM Cisco Catalyst 3110X 14-Port Gigabit Ethernet Switch for MSRP: £1,776.04 Now: £1,480.03 Inc. VAT Was: MSRP: £1,480.03 Now: £1,233.36 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Dell PC3548P - Dell PowerConnect 3548p PoE Switch - 48 Ports - Managed - Stackable MSRP: £1,769.64 Now: £1,474.70 Inc. VAT Was: MSRP: £1,474.70 Now: £1,228.92 Ex. VAT Was: PC3548P - Dell PowerConnect 3548p PoE Switch - 48 Ports - Managed - Stackable MSRP: £1,769.64 Now: £1,474.70 Inc. VAT Was: MSRP: £1,474.70 Now: £1,228.92 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Dell 03548P - Dell PowerConnect 3548P 48-Ports x 10/100 + 2 x shared SFP + 2 x 10/100/1000 Fast Ethernet Poe Switch (Refurbished) MSRP: £1,769.64 Now: £1,474.70 Inc. VAT Was: MSRP: £1,474.70 Now: £1,228.92 Ex. VAT Was: 03548P - Dell PowerConnect 3548P 48-Ports x 10/100 + 2 x shared SFP + 2 x 10/100/1000 Fast Ethernet Poe Switch (Refurbished) MSRP: £1,769.64 Now: £1,474.70 Inc. VAT Was: MSRP: £1,474.70 Now: £1,228.92 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Dell 3548P - Dell POWERCONNECT 3548P POE Switch - 48 Ports - MANAGED - STACKABLE MSRP: £1,769.64 Now: £1,474.70 Inc. VAT Was: MSRP: £1,474.70 Now: £1,228.92 Ex. VAT Was: 3548P - Dell POWERCONNECT 3548P POE Switch - 48 Ports - MANAGED - STACKABLE MSRP: £1,769.64 Now: £1,474.70 Inc. VAT Was: MSRP: £1,474.70 Now: £1,228.92 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Dell 469-3418 - Dell POWERCONNECT 3548P POE Switch - 48 Ports - MANAGED - STACKABLE MSRP: £1,769.64 Now: £1,474.70 Inc. VAT Was: MSRP: £1,474.70 Now: £1,228.92 Ex. VAT Was: 469-3418 - Dell POWERCONNECT 3548P POE Switch - 48 Ports - MANAGED - STACKABLE MSRP: £1,769.64 Now: £1,474.70 Inc. VAT Was: MSRP: £1,474.70 Now: £1,228.92 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Dell 430-4971 - Dell Sanblade 16GB Fibre Channel 2p PCIe HBA MSRP: £1,431.72 Now: £1,193.10 Inc. VAT Was: MSRP: £1,193.10 Now: £994.25 Ex. VAT Was: 430-4971 - Dell Sanblade 16GB Fibre Channel 2p PCIe HBA MSRP: £1,431.72 Now: £1,193.10 Inc. VAT Was: MSRP: £1,193.10 Now: £994.25 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view HP J4879-61101 - HP 2724 Unmanaged 1GBPS 24 port Switch MSRP: £1,762.70 Now: £1,468.92 Inc. VAT Was: MSRP: £1,468.92 Now: £1,224.10 Ex. VAT Was: J4879-61101 - HP 2724 Unmanaged 1GBPS 24 port Switch MSRP: £1,762.70 Now: £1,468.92 Inc. VAT Was: MSRP: £1,468.92 Now: £1,224.10 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view HP JG928-61001 - HP 1920-48g-Poe+ Switch 48 Ports Managed Desktop, Rackmountable MSRP: £1,762.70 Now: £1,468.92 Inc. VAT Was: MSRP: £1,468.92 Now: £1,224.10 Ex. VAT Was: JG928-61001 - HP 1920-48g-Poe+ Switch 48 Ports Managed Desktop, Rackmo MSRP: £1,762.70 Now: £1,468.92 Inc. VAT Was: MSRP: £1,468.92 Now: £1,224.10 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view HP JD195-61101 - HP 384 Gbps A7500 Advanced Fabric Module MSRP: £1,762.56 Now: £1,468.80 Inc. VAT Was: MSRP: £1,468.80 Now: £1,224.00 Ex. VAT Was: JD195-61101 - HP 384 Gbps A7500 Advanced Fabric Module MSRP: £1,762.56 Now: £1,468.80 Inc. VAT Was: MSRP: £1,468.80 Now: £1,224.00 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view TRENDnet Trendnet TPE-5048WS Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black network MSRP: £983.98 Now: £819.98 Inc. VAT Was: MSRP: £819.98 Now: £683.32 Ex. VAT Was: Management featuresSwitch typeManagedWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportIP FORWARD TABLE MIB RFC 1354, RMON MIB RFC 1271, IPV4 MIB RFC 1213, IP MSRP: £983.98 Now: £819.98 Inc. VAT Was: MSRP: £819.98 Now: £683.32 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Tripp Lite Tripp Lite B021-000-19-SH 19" 1280 x 1024pixels Black rack console MSRP: £1,476.52 Now: £1,230.43 Inc. VAT Was: MSRP: £1,230.43 Now: £1,025.36 Ex. VAT Was: DisplayDisplayLCDDisplay diagonal19"Display resolution1280 x 1024 pixelsTechnical detailsHeight (in Rack Units)1Colour of productBlack< MSRP: £1,476.52 Now: £1,230.43 Inc. VAT Was: MSRP: £1,230.43 Now: £1,025.36 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Dell A7512574 - Dell 10Gigabit Ethernet Card 10GB ENET 2-Port SFP+ PCIE3.0 X8 10GB/s NIC MSRP: £1,755.54 Now: £1,462.96 Inc. VAT Was: MSRP: £1,462.95 Now: £1,219.13 Ex. VAT Was: A7512574 - Dell 10Gigabit Ethernet Card 10GB ENET 2-Port SFP+ PCIE3.0 MSRP: £1,755.54 Now: £1,462.96 Inc. VAT Was: MSRP: £1,462.95 Now: £1,219.13 Ex. VAT Was: Add to Basket Compare Quick view